Author Rosuav
Recipients Rosuav, belopolsky, gvanrossum, ncoghlan, python-dev, r.david.murray, rhettinger, schlamar, scoder, serhiy.storchaka, vstinner
Date 2015-01-08.03:46:58
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1420688818.86.0.786182626286.issue22906@psf.upfronthosting.co.za>
In-reply-to
Content
I can have a poke at the __future__ import tonight, but my main concern is memory management - I'm not sufficiently familiar with the exception handling calls to be sure that I'm neither leaking nor over-freeing anything. There's also a secondary concern that the tracebacks aren't quite right at the moment, possibly caused by a muck-up in the exception chaining.

>>> def f(): raise StopIteration
>>> def g(): yield f()
>>> next(g())
StopIteration

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
RuntimeError: generator raised StopIteration

There's no indication of which function/line caused the exception, which would be _extremely_ helpful. If someone else can look into that at some point, I'd appreciate the assistance.
History
Date User Action Args
2015-01-08 03:46:58Rosuavsetrecipients: + Rosuav, gvanrossum, rhettinger, ncoghlan, belopolsky, scoder, vstinner, r.david.murray, python-dev, schlamar, serhiy.storchaka
2015-01-08 03:46:58Rosuavsetmessageid: <1420688818.86.0.786182626286.issue22906@psf.upfronthosting.co.za>
2015-01-08 03:46:58Rosuavlinkissue22906 messages
2015-01-08 03:46:58Rosuavcreate